/* Box sizing rules */
*, *::before, *::after {
	box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol,
li,
figure,
figcaption,
blockquote,
dl,
dd,
button,
input,
select {
	margin: 0;
	z-index: 20;
}

button {
	touch-action: manipulation;
}

/* Set core body defaults */
body {
	overflow: hidden;
	min-height: 100vh;
	min-height: calc(var(--vh, 1vh) * 100);
	scroll-behavior: smooth;
	text-rendering: optimizeSpeed;
	line-height: 1.5;
}

/* Remove list styles on ul, ol elements */
ul, ol {
	padding: 0;
	list-style: none;
}

/* Make ul into flex column */
ul, ol {
	display: flex;
	flex-direction: column;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
	text-decoration-skip-ink: auto;
	text-decoration: none;
}

/* Make images easier to work with */
img {
	max-width: 100%;
	display: block;
}

/* Natural flow and rhythm in articles by default */
article > * + * {
	margin-top: 1em;
}

/* Inherit fonts for inputs and buttons */
input, button, textarea, select {
	font: inherit;
	border: none;
}

/* Buttons should show pointer on hover by default */
/* Text of button shouldn't be selectable */
button {
	cursor: pointer;
	user-select: none;
}

/* Remove all animations and transitions for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
	* {
		animation-duration: 0.01ms !important;
		animation-iteration-count: 1 !important;
		transition-duration: 0.01ms !important;
		scroll-behavior: auto !important;
	}
}

